%define oname pycparser
%define module cparser

Summary:	C parser in Python
Name:		python-%{module}
Version:	2.10
Release:	3
License:	BSD
Group:		Development/Python
Url:		https://github.com/eliben/pycparser
Source0:	http://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(setuptools)
BuildRequires:	pythonegg(setuptools)
BuildRequires:	python3egg(setuptools)
BuildArch:	noarch

%description
pycparser is a complete parser of the C language, written in pure Python
using the PLY parsing library. It parses C code into an AST and can serve
as a front-end for C compilers or analysis tools.

%files
%doc CHANGES LICENSE README.rst
%{py_puresitedir}/pycparser/*.py*
%{py_puresitedir}/pycparser/ply/*.py*
%{py_puresitedir}/pycparser*.egg-info
%{py_puresitedir}/pycparser/_c_ast.cfg

#----------------------------------------------------------------------------

%package -n python3-%{module}
Summary:	C parser in Python 3
Group:		Development/Python

%description -n python3-%{module}
pycparser is a complete parser of the C language, written in pure Python
using the PLY parsing library. It parses C code into an AST and can serve
as a front-end for C compilers or analysis tools.

%files -n python3-%{module}
%doc CHANGES LICENSE README.rst
%{py3_puresitedir}/pycparser/*.py*
%{py3_puresitedir}/pycparser/ply/*.py*
%{py3_puresitedir}/pycparser*.egg-info
%{py3_puresitedir}/pycparser/_c_ast.cfg

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
perl -i -pe 's/\r\n/\n/gs' LICENSE

cp -a . %{py3dir}

%build
pushd %{py3dir}
python3 setup.py build
popd

python setup.py build

%install
pushd %{py3dir}
python3 setup.py install --root=%{buildroot} --install-purelib=%{py3_puresitedir}
popd

python setup.py install --root=%{buildroot} --install-purelib=%{py_puresitedir}


%changelog

* Mon Dec 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.10-3
- (1fd605a) Build both python2 and python3 modules


